#
# spec file for package cacti-spine
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cacti-spine
Version:        0.8.8f
Release:        8.1
Url:            http://www.cacti.net/spine_info.php
Source:         http://www.cacti.net/downloads/spine/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  mysql-devel
BuildRequires:  net-snmp-devel
BuildRequires:  openssl-devel
Requires:       cacti
Requires:       rrdtool
Summary:        Threaded poller for Cacti written in C
License:        LGPL-2.1+
Group:          System/Monitoring

%description
Spine is a supplemental poller for Cacti that makes use of pthreads to achieve
excellent performance.

%prep
%setup -q

%build

%configure
make %{?_smp_mflags}

%install
%makeinstall

%files
%defattr(-, root, root, 0755)
%doc ChangeLog README
%config %{_sysconfdir}/spine.conf.dist
%{_bindir}/spine

%changelog
* Sun Nov  1 2015 p.drouand@gmail.com
- Update to version 0.8.8f
  * bug:0002604: cacti-spine, configure script ignores LDFLAGS in
    certain situations
- Changes from version 0.8.8e
  * bug#0002185: Multiple memory leaks found in spine
  * bug#0002398: Buffer overflow
  * bug#0002447: Building spine on Debian Jessie (testing) fails
  * bug#0002536: Spine segfaults when 18k+ hosts are to be pulled
  * bug#0002576: Call to a non-existent column of the database in poller.c
  * bug#0002578: spine doesn't compile on ubuntu 12.04
  * bug#0002585: Spine: buffer overflow in logging when
    RESULTS_BUFFER>LOGSIZE can SEGV
  * bug#0002588: Spine "is_numeric" incorrectly returns TRUE for some
    hexadecimal values
- Remove systemd buildrequires; unneeded
* Thu Dec 25 2014 p.drouand@gmail.com
- Update to version 0.8.8c
  + No changelog entry for version 0.8.8c
- Use download Url as source
* Mon Aug 12 2013 aldemir.akpinar@gmail.com
- New Version: 0.8.8b
* Mon Apr 30 2012 cfarrell@suse.com
- license update: LGPL-2.1+
  Use SPDX format for license strings (http://www.spdx.org/licenses)
* Mon Apr 30 2012 aldemir.akpinar@airties.com
- New Version: 0.8.8a
- Add source as bz2
* Mon Apr  9 2012 aldemir.akpinar@airties.com
- Version 0.8.8
* Wed Dec 14 2011 aldemir.akpinar@airties.com
- Upgrade to 0.8.7i
* Wed Oct  5 2011 aldemir.akpinar@airties.com
- Upgrade to new version.
* Mon Jun 13 2011 aldemir.akpinar@airties.com
- Changed Requires line to comply with the changes on cacti-PA
* Fri Jun 10 2011 aldemir.akpinar@airties.com
- Changed cactid name to spine and made it installable with cacti-PA
* Tue Jun 29 2010 boris@steki.net
- Updated to new version
- Many bugs fixed
  Changes can be found in /usr/share/doc/packages/cacti-cactid/Changelog
